package org.intuitel.imsld;

/**
 * Author: Ovidiu Serban, o.serban@reading.ac.uk.
 * Version: 1, 03/09/2014
 * Created at Intelligent System Research Laboratory,
 * University of Reading, United Kingdom
 * web: http://www.isr.reading.ac.uk/
 * Copyright may apply to this file
 */

import com.sun.xml.bind.marshaller.NamespacePrefixMapper;

import java.util.Arrays;
import java.util.HashSet;
import java.util.Set;

public class NamespaceMapperImsLd extends NamespacePrefixMapper {
    String[] nsList = new String[]{"http://www.imsglobal.org/xsd/imscp_v1p1.xsd",
                                          "http://www.imsglobal.org/xsd/imscp_v1p1",
                                          "http://www.imsglobal.org/xsd/imscp_v1p1p3.xsd",
                                          "http://www.imsglobal.org/xsd/imscp_v1p1p3",
                                          "http://www.imsglobal.org/xsd/imsld_v1p0.xsd",
                                          "http://www.imsglobal.org/xsd/imsld_v1p0",
                                          "http://www.imsglobal.org/xsd/IMS_LD_Level_A.xsd",
                                          "http://www.imsglobal.org/xsd/IMS_LD_Level_A"};

    private Set<String> namespaces = new HashSet<String>(Arrays.asList(nsList));

    private static final String IMSLD_PREFIX = "imsld";
    private static final String XMLNS_PREFIX = "imscp";

    public static final NamespaceMapperImsLd instance = new NamespaceMapperImsLd();

    @Override
    public String getPreferredPrefix(String namespaceUri, String suggestion, boolean requirePrefix) {
        if (namespaces.contains(namespaceUri)) {
            return IMSLD_PREFIX;
        } else if ("http://www.imsglobal.org/xsd/imscp_v1p0".equals(namespaceUri)) {
            return XMLNS_PREFIX;
        } else {
            return suggestion;
        }
    }

    @Override
    public String[] getPreDeclaredNamespaceUris() {
        return new String[]{"http://www.imsglobal.org/xsd/imsld_v1p0"};
    }
}
