package org.intuitel.imsld.lvlA;

import org.intuitel.imsld.manifest.Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {"title", "activityDescription", "metadata"})
@XmlRootElement(name = "learning-activity", namespace = "http://www.imsglobal.org/xsd/imsld_v1p0")
public class LearningActivity implements Activity {
    @XmlElement(namespace = "http://www.imsglobal.org/xsd/imsld_v1p0", required = true)
    protected String title;
    @XmlElement(name = "activity-description", namespace = "http://www.imsglobal.org/xsd/imsld_v1p0", required = true)
    protected ActivityDescription activityDescription;
    @XmlAttribute(name = "identifier")
    protected String identifier;
    @XmlElement(name = "metadata")
    protected Metadata metadata;

    public String getTitle() {
        return title;
    }

    public void setTitle(String value) {
        this.title = value;
    }

    public ActivityDescription getActivityDescription() {
        return activityDescription;
    }

    public void setActivityDescription(ActivityDescription value) {
        this.activityDescription = value;
    }

    public String getIdentifier() {
        return identifier;
    }

    public void setIdentifier(String value) {
        this.identifier = value;
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public static LearningActivity create(String id, String title, String resourceIdentifier) {
        LearningActivity learningActivity = new LearningActivity();
        learningActivity.setIdentifier(id);
        learningActivity.setTitle(title);
        ActivityDescription descriptionElement = new ActivityDescription();
        Item item = new Item();
        item.setIdentifier(resourceIdentifier);
        descriptionElement.setItem(item);
        learningActivity.setActivityDescription(descriptionElement);
        return learningActivity;
    }
}
