package org.intuitel.imsld.manifest;

import javax.xml.bind.annotation.*;

/**
 * Author: Ovidiu Serban, o.serban@reading.ac.uk.
 * Version: 1, 03/09/2014
 * Created at Intelligent System Research Laboratory,
 * University of Reading, United Kingdom
 * web: http://www.isr.reading.ac.uk/
 * Copyright may apply to this file
 */

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "")
@XmlRootElement(name = "resource")
public class Resource {
    @XmlAttribute(name = "identifier")
    private String identifier;
    @XmlAttribute(name = "href")
    private String href;
    @XmlElement(name = "file")
    private File file;

    public String getIdentifier() {
        return identifier;
    }

    public void setIdentifier(String identifier) {
        this.identifier = identifier;
    }

    public File getFile() {
        return file;
    }

    public void setFile(File file) {
        this.file = file;
    }

    public String getHref() {
        return href;
    }

    public void setHref(String href) {
        this.href = href;
    }

    public static Resource create(String identifier, String href) {
        Resource resource = new Resource();
        resource.setIdentifier(identifier);
        resource.setHref(href);
        File file = new File();
        file.setHref(href);
        resource.setFile(file);
        return resource;
    }
}
