/*
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Luis de-la-Fuente-Valentín, Universidad Internacional de La Rioja, UNIR, www.unir.net
 * Version: 1
 * Date: 2014-09-29
 * Copyright: Copyright (C) Universidad Internacional de La Rioja, UNIR
 * License: This software is provided as freeware. 

 Freeware products are provided free of charge. Freeware software may be used as many 
 times as you like, for as long as you like. You may copy and distribute copies of 
 this program provided that you keep this copyright notice and disclaimer of warranty
 intact, and recipients must be bound by the terms therein. You must not charge money
 or fees for the software product to anyone except to cover distribution costs. You 
 must acknowledge and cite the authorship of this software by UNIR. The copyright 
 holder reserves the right to reclassify this software as a non-freeware product at 
 any time (i.e. shareware, licensed royalty software, or public domain). Doing so will
 not modify the license agreement of previously distributed executables.
 */
 /**
* Contains the classes that execute the tranformations between formats.
*
* <p>The INTUITEL Merger is a software library that translates course 
information from and to several formats, with the main goal of 
obtaining SLOM compliant courses. This package contains the classes 
that evectively execute the transformations.</p>

<p>The software library enables the integration of the Merger features 
in other tools, such as the case of the INTUITEL Editor. In adition to 
the software library, the Merger offers a command line 
based client to execute the tranformations from the command line.</p>

<p>The overall approach of the transformations takes into consideration 
that different learning packaging formats have different design principles 
and therefore store different information. As a result, the translation 
from one format to another may imply an information loss. In the general 
use case, we suppose that the user wants to reuse the course content.
We therefore propose a translation mapping tool which does most of this 
work automatically. Nevertheless some fine grained adjustments will be 
required to be performed manually (e.g. using the INTUITEL Editor or other tools).</p>

<p>In other words, the use of the Merger mapping tools will provide a way 
to create SLOM courses from existing content, but, in most of the cases, 
this will only ease the task of creating the basic learning material structure 
and some manual editing will still be required.</p>

<p>The Merger can be used in two different ways: </p>

<ul>
<li>As a software library. In this case, the developers should use 
<i>Serializer</i> objects in order to marshal and unmarshal the 
contents from and to different formats.</li> 
<li>As a standalone program. The MergerCLI class offers a command line
interface that can do the transformations.</li>
</ul>


<p>More information of the INTUITEL project can be found at 
<a target="_blank" href="http://www.intuitel.de/">the project web page</a>.</p>

*/
package org.intuitel.merger;
