/*
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Luis de-la-Fuente-Valentín, Universidad Internacional de La Rioja, UNIR, www.unir.net
 * Version: 1
 * Date: 2014-09-29
 * Copyright: Copyright (C) Universidad Internacional de La Rioja, UNIR
 * License: This software is provided as freeware. 

 Freeware products are provided free of charge. Freeware software may be used as many 
 times as you like, for as long as you like. You may copy and distribute copies of 
 this program provided that you keep this copyright notice and disclaimer of warranty
 intact, and recipients must be bound by the terms therein. You must not charge money
 or fees for the software product to anyone except to cover distribution costs. You 
 must acknowledge and cite the authorship of this software by UNIR. The copyright 
 holder reserves the right to reclassify this software as a non-freeware product at 
 any time (i.e. shareware, licensed royalty software, or public domain). Doing so will
 not modify the license agreement of previously distributed executables.
 */
package org.intuitel.slom;

import org.semanticweb.owlapi.model.IRI;

/**
* Wrapper for constant definitions.
*
* <p>Provides a definition of IRIS, filenames and 
* printable names used in the transformations</p>
* 
* @author  Luis de-la-Fuente-Valentín
* @since   1.0
*/
public class SLOMUtil {

    public static final IRI INTUI_PO = IRI.create( "http://www.intuitel.eu/public/2014/03/intui_PO.owl" );
    public static final IRI INTUI_CC_IRI = IRI.create("http://www.intuitel.eu/public/intui_PO.owl#ConceptContainer");
    public static final IRI INTUI_KO_IRI = IRI.create("http://www.intuitel.eu/public/intui_PO.owl#KnowledgeObject");

    public static final String INTUI_PO_FILE =  "intui_PO.owl" ;
    public static final String INTUI_CM_FILE =  "intui_CM.owl" ;
    public static final String INTUI_CCM_FILE =  "intui_CCM.owl" ;
    public static final String INTUI_CM_ZIPENTRY =  "intuitel/intui_CM.owl" ;
    public static final String INTUI_CCM_ZIPENTRY =  "intuitel/intui_CCM.owl" ;

    public static final String IMSCP_MANIFEST_ZIPENTRY =  "imsmanifest.xml" ;

    public static final String IMSLD_TO_CM_XSLT =  "xslt/ImsLDtoCM.xsl" ;
    public static final String IMSLD_TO_CCM_XSLT =  "xslt/ImsLDtoCCM.xsl";
    public static final String CM_CCM_TO_IMSLD_XSLT =  "xslt/SlomToImsld.xsl";
    public static final String IMSLD_NAME =  "IMSLD";

    public static final String SCORM_TO_CM_XSLT =  "xslt/ScormToCM.xsl" ;
    public static final String SCORM_TO_CCM_XSLT =  "xslt/ScormToCCM.xsl";
    public static final String CM_CCM_TO_SCORM_XSLT =  "xslt/SlomToScorm.xsl";
    public static final String SCORM_NAME =  "SCORM";

    public static final String MERGE_CM_AND_CCM =  "xslt/mergeCMwithCCM.xsl";
    
    public static final String SMW_NAME =  "Semantic Media Wiki";
    public static final String SMW_MANIFEST_ZIPENTRY =  "smwManifest" ;

}
