<?xml version="1.0"?>
<!--
    * Document: mergeCMwithCCM.xsl
    * Author:   Oscar Garcia, oscar.garciaperales@tiekinetix.com
	* Author:	Jose Navalon, jose.navalonbaixerax@tiekinetix.com
	* Author:	Oscar Soriano, oscar.soriano@tiekinetix.com
    * Version:	0.1, 22/03/14
    * Created at TIE Kinetix, The Netherlands
    * web: http://www.tiekinetix.com/
-->
<!DOCTYPE stylesheet [
        <!ENTITY owl "http://www.w3.org/2002/07/owl#" >
        <!ENTITY xsd "http://www.w3.org/2001/XMLSchema#" >
        <!ENTITY dc "http://dublincore.org/documents/dces/" >
        <!ENTITY rdfs "http://www.w3.org/2000/01/rdf-schema#" >
        <!ENTITY rdf "http://www.w3.org/1999/02/22-rdf-syntax-ns#" >
		<!ENTITY intui "http://intuitel.eu/public/intui_PO.owl" >
        <!ENTITY intui_PO "http://www.intuitel.eu/public/intui_PO.owl#" >
		<!ENTITY adlcp "http://www.adlnet.org/xsd/adlcp_v1p3" >
        <!ENTITY intui_CM "http://www.intuitel.eu/public/public/model_c/intui_cm.owl#" >
        ]>

<xsl:stylesheet xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
                xmlns:xml="http://www.w3.org/XML/1998/namespace"
                xml:base="http://www.intuitel.eu/public/model_c/intui_cm.owl"
                xmlns:owl="http://www.w3.org/2002/07/owl#"
                xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#"
				xmlns:intui="http://intuitel.eu/public/intui_PO.owl"
                xmlns:intui_PO="http://www.intuitel.eu/public/intui_PO.owl#"
                xmlns:intui_CM="http://www.intuitel.eu/public/public/model_c/intui_cm.owl#"
				xmlns:adlcp="http://www.adlnet.org/xsd/adlcp_v1p3"
				xmlns:lom="http://ltsc.ieee.org/xsd/LOM"			
                xmlns:dc="http://dublincore.org/documents/dces/">

    <xsl:output method="xml" version="1.0"/>
    <xsl:param name="metadataFile" />

    <xsl:template match="/">
        <rdf:RDF xmlns="http://www.intuitel.eu/public/model_c/intui_cm.owl"
                 xml:base="http://www.intuitel.eu/public/model_c/intui_cm.owl"
                 xmlns:intui_PO="http://www.intuitel.eu/public/intui_PO.owl#"
                 xmlns:intui_CM="http://www.intuitel.eu/public/public/model_c/intui_cm.owl#"
                 xmlns:dc="http://dublincore.org/documents/dces/"
                 xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
                 xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#"
				 xmlns:lom="http://ltsc.ieee.org/xsd/LOM"
                 xmlns:owl="http://www.w3.org/2002/07/owl#">
            <!--declaration of the Ontology intui_CM-->
            <owl:Ontology rdf:about="http://www.intuitel.eu/public/model_c/intui_cm.owl">
<!--                <owl:imports rdf:resource="http://www.intuitel.eu/public/model_c/intui_ccm.owl"/>-->
                <owl:versionIRI rdf:resource="http://www.intuitel.eu/public/model_c/2013/09/27/intui_cm.owl"/>
                <dc:title>Intui CM</dc:title>
            </owl:Ontology>
            <xsl:apply-templates/>
        </rdf:RDF>
    </xsl:template>

    <!--Concept Container-->
    <xsl:template match="organizations">
        <xsl:for-each select="organization">
            <intui_CM:ConceptContainer rdf:about="{@identifier}">
				<intui:IRI>
					<xsl:value-of select="@identifier"/>
				</intui:IRI>
                <dc:title>
                    <xsl:value-of select="title"/>
                </dc:title>
				<!--if lom-->
				<xsl:if test="metadata/lom">
					<dc:description>
						<xsl:value-of select="metadata/lom/general/description/string"/>
					</dc:description>
					<dc:language>
						<xsl:value-of select="metadata/lom/general/description/string/@language"/>
					</dc:language>
				</xsl:if>
				<!--if adlcp:location-->
				<xsl:if test="metadata/location">
<!--					<xsl:variable name="file" select="metadata/location"/>
					<xsl:variable name="doc" select="document(concat('../input/',$file))"/>-->
					<xsl:variable name="doc" select="document($metadataFile)"/>
					<dc:description>
						<xsl:value-of select="$doc/lom:lom/lom:general/lom:description/lom:string"/>
					</dc:description>
					
					<dc:language>
						<xsl:value-of select="$doc/lom:lom/lom:general/lom:description/lom:string/@language"/>
					</dc:language>
				</xsl:if>
				<xsl:for-each select="item">
					<intui_PO:containsKnowledgeObject>
						<xsl:value-of select="@identifierref"/>
					</intui_PO:containsKnowledgeObject>
				</xsl:for-each>
            </intui_CM:ConceptContainer>
        </xsl:for-each>
    </xsl:template>
    <!--removes additional text-->
    <xsl:template match="text()"/>
</xsl:stylesheet>
