package org.intuitel.merger;

import static org.junit.Assert.*;

import java.io.IOException;
import java.util.Arrays;
import java.util.Collection;

import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.junit.runners.Parameterized;
import org.junit.runners.Parameterized.Parameters;
import org.xml.sax.SAXException;

@RunWith(value=Parameterized.class)
public class Scorm2SlomTest extends ExpectedXMLBasedTestBase 
{
	public Scorm2SlomTest(String inputFile,String expectedFile) throws IOException
	{
		super(inputFile, expectedFile);
	}
	@Parameters
	public static Collection<Object[]> parameters()
	{
		Object[][] data= new Object[][]{
				{"scorm-example_v2.zip","output.se.slom.zip"}
				};
		return Arrays.asList(data);
	}

	@Test
	public void testMergerCLI() throws IOException, SAXException 
	{
	    // Process the file
		MergerCLI.main(new String[]{"-i",this.inputFile.getAbsolutePath(),"-f","scorm","-o",this.outputFile.getAbsolutePath(),"-p","slom"});
		// check correlation to expected file
		matchFiles();
	}

}
