package org.intuitel.merger;

import java.io.IOException;
import java.util.Arrays;
import java.util.Collection;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.junit.runners.Parameterized;
import org.junit.runners.Parameterized.Parameters;
import org.xml.sax.SAXException;

@RunWith(value=Parameterized.class)
public class Slom2ImsldTest extends ExpectedXMLBasedTestBase 
{
	public Slom2ImsldTest(String inputFile,String expectedFile) throws IOException
	{
		super(inputFile, expectedFile);
	}
	@Parameters
	public static Collection<Object[]> parameters()
	{
// 		Object[][] data= new Object[][]{
// 				{"example_vegetablesoup.slom.zip","output.evs.imsld.zip"}};
		Object[][] data= new Object[][]{
				{"example_vegetablesoup.slom.zip","output.evs.imsld.zip"},
				{"general-didactics.slom.zip","output.gd.imsld.zip"}};
		return Arrays.asList(data);
	}

	@Test
	public void testMergerCLI() throws IOException, SAXException 
	{
	    // Process the file
		MergerCLI.main(new String[]{"-i",this.inputFile.getAbsolutePath(),"-f","slom","-o",this.outputFile.getAbsolutePath(),"-p","imsld"});
		// check correlation to expected file
		matchFiles();
	}

}
