package org.intuitel.merger;

import static org.junit.Assert.*;

import java.io.IOException;
import java.io.InputStream;
import java.io.ByteArrayInputStream;
import java.util.Scanner;
import java.util.Arrays;
import java.util.Collection;

import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.junit.runners.Parameterized;
import org.junit.runners.Parameterized.Parameters;
import org.xml.sax.SAXException;

@RunWith(value=Parameterized.class)
public class Smw2SlomTest extends ExpectedXMLBasedTestBase 
{
	public Smw2SlomTest(String inputFile,String expectedFile) throws IOException
	{
		super(inputFile, expectedFile);
	}
	@Parameters
	public static Collection<Object[]> parameters()
	{
		Object[][] data= new Object[][]{
				{"","output.knd.slom.zip"}
				};
		return Arrays.asList(data);
	}

	@Test
	public void testMergerCLI() throws IOException, SAXException 
	{
	    // Process the file simulating user inputFile
	    
		
		
		//simulate user input
		String data = "luis\r\nsmw_rocks\r\n";
		InputStream stdin = System.in;
		try {
		  System.setIn(new ByteArrayInputStream(data.getBytes()));
		  MergerCLI.main(new String[]{"-i","http://kalmar30.fzi.de/index.php/KdNetworkDesign","-f","smw","-o",this.outputFile.getAbsolutePath(),"-p","slom"});
		} finally {
		  System.setIn(stdin);
		}
		
		// check correlation to expected file
		matchFiles();
	}

}
