package org.intuitel.imsld.lvlA;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.LinkedList;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "roles", namespace = "http://www.imsglobal.org/xsd/imsld_v1p0")
public class Roles {
    @XmlElement(name = "learner", namespace = "http://www.imsglobal.org/xsd/imsld_v1p0", required = true)
    protected List<Learner> learners;

    public List<Learner> getLearners() {
        if (learners == null) {
            learners = new LinkedList<Learner>();
        }
        return learners;
    }

    public void setLearners(List<Learner> learners) {
        this.learners = learners;
    }

    public static Roles createLearnerRole(String identifier, String title) {
        Roles roles = new Roles();
        Learner learner = new Learner();
        learner.setIdentifier(identifier);
        learner.setTitle(title);
        roles.getLearners().add(learner);
        return roles;
    }
}
