package org.intuitel.imsld.manifest;

import javax.xml.bind.annotation.*;
import java.util.LinkedList;
import java.util.List;

/**
 * Author: Ovidiu Serban, o.serban@reading.ac.uk.
 * Version: 1, 03/09/2014
 * Created at Intelligent System Research Laboratory,
 * University of Reading, United Kingdom
 * web: http://www.isr.reading.ac.uk/
 * Copyright may apply to this file
 */

@XmlRootElement(namespace = "http://www.imsglobal.org/xsd/imscp_v1p0")
@XmlAccessorType(value = XmlAccessType.FIELD)
public class Manifest {
    @XmlAttribute(name = "identifier")
    private String identifier;

    @XmlElement(name = "metadata")
    private Metadata metadata;
    @XmlElement(name = "organisations")
    private Organisations organisations;
    @XmlElement(name = "resources")
    private List<Resource> resources;

    public String getIdentifier() {
        return identifier;
    }

    public void setIdentifier(String identifier) {
        this.identifier = identifier;
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public Organisations getOrganisations() {
        return organisations;
    }

    public void setOrganisations(Organisations organisations) {
        this.organisations = organisations;
    }

    public List<Resource> getResources() {
        if (resources == null) {
            resources = new LinkedList<Resource>();
        }
        return resources;
    }

    public void setResources(List<Resource> resources) {
        this.resources = resources;
    }
}
