package org.intuitel.imsld.manifest;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.namespace.QName;
import java.util.LinkedList;
import java.util.List;

/**
 * Author: Ovidiu Serban, o.serban@reading.ac.uk.
 * Version: 1, 03/09/2014
 * Created at Intelligent System Research Laboratory,
 * University of Reading, United Kingdom
 * web: http://www.isr.reading.ac.uk/
 * Copyright may apply to this file
 */

@XmlRootElement
@XmlAccessorType(value = XmlAccessType.FIELD)
public class Metadata {
    @XmlAnyElement
    public List<JAXBElement> properties = new LinkedList<JAXBElement>();

    public List<JAXBElement> getProperties() {
        return properties;
    }

    public void setProperties(List<JAXBElement> properties) {
        this.properties = properties;
    }

    public void setProperty(String name, String value) {
        properties.add(new JAXBElement(new QName(name), String.class, value));
    }
}