/*
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Luis de-la-Fuente-Valentín, Universidad Internacional de La Rioja, UNIR, www.unir.net
 * Version: 1
 * Date: 2014-09-29
 * Copyright: Copyright (C) Universidad Internacional de La Rioja, UNIR
 * License: This software is provided as freeware. 

 Freeware products are provided free of charge. Freeware software may be used as many 
 times as you like, for as long as you like. You may copy and distribute copies of 
 this program provided that you keep this copyright notice and disclaimer of warranty
 intact, and recipients must be bound by the terms therein. You must not charge money
 or fees for the software product to anyone except to cover distribution costs. You 
 must acknowledge and cite the authorship of this software by UNIR. The copyright 
 holder reserves the right to reclassify this software as a non-freeware product at 
 any time (i.e. shareware, licensed royalty software, or public domain). Doing so will
 not modify the license agreement of previously distributed executables.
 */
/**
* Contains the Java Model for the SLOM format.
*
* <p>The INTUITEL Merger is a software library that translates course 
information from and to several formats, with the main goal of 
obtaining SLOM compliant courses. This package contains the classes 
that evectively execute the transformations.</p>

* <p>The transformation process is based on unmarshalling/marshalling
process. That is, the imported learning content is unmarshalled and 
the result is a SLOM object that contains the course information in 
a Java based representation of the SLOM format. Such SLOM object may
be modified and marshalled to one of the supported formats. The result
of this process is the metadata that describes the course in the 
target format. The tranformation process relies on the use of the 
OWLAPI library, which is used to read and write OWL documents.</p>

<p>The classess in this package can be divided in two different 
groups:</p>

<ol>
    <li>Raw imported information. These classes (CognitiveMap and 
        ContentCognitiveMap) contains the information as imported 
        by the OWLAPI. That is, they contain an OWLOntology whose
        content can be queried. These are suitable for OWLAPI 
        experienced users.</li>
    <li>SLOM specific information. Once imported, the information 
        stored in the CM and CCM is structured following the SLOM 
        principles. That is: ConceptContainers, KnowledgeObjects, 
        Macro and Micro LearningPathways, etc. Developers with 
        more knowledge of SLOM and less experienced with OWLAPI 
        might be more confident with this classes.</li>
</ol>

<p>Once created, a SLOM object might modified and those changes will 
be reflected in the exported course.</p>

<p>More information of the INTUITEL project can be found at 
<a target="_blank" href="http://www.intuitel.de/">the project web page</a>.</p>

*/
package org.intuitel.slom;
